<?php

namespace LakeDrops\DrupalEnvironment;

use LakeDrops\Component\Composer\BaseCommand;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

/**
 * Composer Audit Ignore Report Command for LakeDrops Drupal environments.
 *
 * @package LakeDrops\DrupalEnvironment
 */
class AuditIgnoreReportCommand extends BaseCommand {

  /**
   * {@inheritdoc}
   */
  protected function configure(): void {
    parent::configure();
    $this
      ->setName('lakedrops:audit-ignore-report')
      ->setDescription('Report about status of all ignored CVEs during audit.');
  }

  /**
   * {@inheritdoc}
   */
  public function getHandlerClass(): string {
    return Handler::class;
  }

  /**
   * {@inheritdoc}
   */
  protected function execute(InputInterface $input, OutputInterface $output): int {
    parent::execute($input, $output);
    /** @var Handler $handler */
    $handler = $this->handler;
    $handler->auditIgnoreReport();
    return 0;
  }

}
